/*****************************************************************************/
/*	aisa15w.h																 */
/*																			 */
/*	aISA-A15															 */
/*																			 */
/*	Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.									 */
/*																			 */
/*	Date 1998/04/21															 */
/*																			 */
/*****************************************************************************/

#ifndef __AISA15W_H__
#define __AISA15W_H__

#include "aisa15.h"


#ifdef __cplusplus
extern "C"{
#endif


#define AISA15_DLL_NAME	  _T("aisa15.dll")	// DLL

#define AISA15_ERR_WRAPDLL ((DWORD)-3)	// bp[֐G[


BOOL  Aisa15wDllOpen();			// DLL [h
BOOL  Aisa15wDllClose();		// DLL A[h

BOOL  Aisa15wGetVersion(PDWORD pdwDllVersion, PDWORD pdwVxdVersion);// aISA-A15 DLL,Vxd̃o[Wԍ擾

BOOL  Aisa15wCreate(PWORD pwLogSlot, HWND hWnd, PVOID pvInitArg);	// CӂaISA-A15̎gp錾
BOOL  Aisa15wClose(WORD wLogSlot);									// CӂaISA-A15̎gpJ

BOOL  Aisa15wGetResource(WORD wLogSlot, PAISA15R pres);				// \[X擾

BOOL  Aisa15wSetMode(WORD wLogSlot, PCAISA15M pcmode);				// TvO[h̐ݒ
BOOL  Aisa15wStartSampling(WORD wLogSlot);							// TvOJn
BOOL  Aisa15wStopSampling(WORD wLogSlot);							// TvO~
BOOL  Aisa15wGetSamplingStatus(WORD wLogSlot, PDWORD pcwNumData, PDWORD pdwStatus); // TvOEXe[^X̎擾
BOOL  Aisa15wGetData(WORD wLogSlot, DWORD cwNumData, PWORD pwData);					// TvOς݃f[^̎擾
BOOL  Aisa15wGetExIn(WORD wLogSlot, PDWORD pdwExIn0, PDWORD pdwExIn1, PDWORD pdwExTrg);	// O͏Ԃ̎擾

DWORD Aisa15wGetLastError(WORD wLogSlot);							// aISA-A15G[R[h


#ifdef __cplusplus
}
#endif

#endif // __AISA15W_H__
